Fails to import with MalformedTransform (unversioned executability)

Bug #248460 reported by James Westby on 2008-07-14
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Distributed Development
High
Unassigned

Bug Description

Traceback (most recent call last):
  File "./import_package.py", line 364, in <module>
    sys.exit(main(*sys.argv[1:]))
  File "./import_package.py", line 351, in main
    import_package(package, distro, package_url)
  File "./import_package.py", line 327, in import_package
    update_db.import_package(local_dsc_path)
  File "plugins/builddeb/import_dsc.py", line 1718, in import_package
    md5)
  File "plugins/builddeb/import_dsc.py", line 1679, in _import_native_package
    native=True)
  File "plugins/builddeb/import_dsc.py", line 1544, in import_debian
    file_ids_from=parent_trees + debian_trees)
  File "plugins/builddeb/import_dsc.py", line 161, in import_dir
    import_archive(tree, dir_file, file_ids_from=file_ids_from)
  File "plugins/builddeb/import_dsc.py", line 291, in import_archive
    for conflict in cook_conflicts(resolve_conflicts(tt), tt):
  File "/usr/lib/python2.5/site-packages/bzrlib/transform.py", line 2065, in resolve_conflicts
    raise MalformedTransform(conflicts=conflicts)
bzrlib.errors.MalformedTransform: Tree transform is malformed [('unversioned executability', 'new-182'), ('unversioned executability', 'new-187'), ('unversioned executability', 'new-185'), ('unversioned executability', 'new-184'), ('unversioned executability', 'new-181'), ('unversioned executability', 'new-189'), ('unversioned executability', 'new-188'), ('unversioned executability', 'new-178'), ('unversioned executability', 'new-179')]

Effects:
 audacious
 debian-installer
http://package-import.ubuntu.com/status/cdebconf.html
http://package-import.ubuntu.com/status/lapack.html

Colin Watson (cjwatson) wrote :

Unless this affects other branches too, this is minor in itself since debian-installer already has a more useful bzr-svn-based Ubuntu branch that's in active use.

Changed in udd:
importance: Undecided → Low
James Westby (james-w) wrote :

Hi Colin,

This does in fact affect a couple of other packages, but I agree with
the sentiment.

Thanks,

James

James Westby (james-w) on 2008-07-30
Changed in udd:
importance: Low → High
Robert Collins (lifeless) wrote :

This is also high because at the moment we can't join the dots with it for debian-installer. Alternatively if there is a packaging branch we should make official, we should make it official.

Changed in udd:
status: New → Confirmed
John A Meinel (jameinel) on 2010-01-27
summary: - Fails to import debian-installer
+ Fails to import with MalformedTransform (unversioned executability)
description: updated
James Westby (james-w) on 2010-04-22
tags: added: bzr
James Westby (james-w) on 2010-10-01
tags: added: import-failure main
description: updated
description: updated
James Westby (james-w) on 2010-10-02
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers